#pragma once
#define WINUSERAPI
#define _KERNEL32_
#define _ACRTIMP
#define NTKERNELAPI

#define THEO_OBFUSCATE(...) \
	_Pragma("code_seg(\".theo\")") \
	__VA_ARGS__ \
	_Pragma("code_seg()")

#define THEO_MUTATE(...) \
	_Pragma("code_seg(\".theo1\")") \
	__VA_ARGS__ \
	_Pragma("code_seg()")

#define LLVM_BCF __attribute((__annotate__(("bcf"))))
#define LLVM_SUB __attribute((__annotate__(("sub"))))
#define LLVM_FLA __attribute((__annotate__(("fla"))))